--------------------------------------------------------
--  File created - szombat-december-07-2013   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table GYOGYSZER
--------------------------------------------------------

  CREATE TABLE "SEMA1"."GYOGYSZER" 
   (	"GYARTO" VARCHAR2(20 BYTE), 
	"TIPUS" VARCHAR2(20 BYTE), 
	"TOMEG" NUMBER(5,0), 
	"AR" NUMBER(5,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159" ;
REM INSERTING into SEMA1.GYOGYSZER
SET DEFINE OFF;
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('TEVA','AMBROXOL','30','800');
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('RICHTER GEDEON','CALCIMUSC','5000','1200');
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('TEVA','GRIPPOSTAD','200','1300');
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('SANOFI AVENTIS','ALGOPYRIN','500','1100');
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('MERCK','NASIVIN','100','1500');
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('TEVA','ELMEX','8000','500');
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('TEVA','BILOBIL','800','900');
Insert into SEMA1.GYOGYSZER (GYARTO,TIPUS,TOMEG,AR) values ('ALCON','FLUCON','5','1600');
--------------------------------------------------------
--  DDL for Index GYOGYSZER_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SEMA1"."GYOGYSZER_PK" ON "SEMA1"."GYOGYSZER" ("GYARTO", "TIPUS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159" ;
--------------------------------------------------------
--  Constraints for Table GYOGYSZER
--------------------------------------------------------

  ALTER TABLE "SEMA1"."GYOGYSZER" ADD CONSTRAINT "GYOGYSZER_PK" PRIMARY KEY ("GYARTO", "TIPUS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159"  ENABLE;
