--------------------------------------------------------
--  File created - szombat-december-07-2013   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table RAKTAR
--------------------------------------------------------

  CREATE TABLE "SEMA1"."RAKTAR" 
   (	"GYARTO" VARCHAR2(20 BYTE), 
	"TIPUS" VARCHAR2(20 BYTE), 
	"KISZERELES" VARCHAR2(20 BYTE), 
	"KESZLET" NUMBER(3,0), 
	"DATUM" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159" ;
REM INSERTING into SEMA1.RAKTAR
SET DEFINE OFF;
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('TEVA','AMBROXOL','tabletta','100',to_date('13-OKT.  -22','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('TEVA','AMBROXOL','filmtabletta','50',to_date('13-OKT.  -24','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('RICHTER GEDEON','CALCIMUSC','5mlkapszula','60',to_date('13-OKT.  -22','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('RICHTER GEDEON','CALCIMUSC','10mlkapszula','30',to_date('13-OKT.  -23','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('TEVA','ELMEX','tubus','40',to_date('13-OKT.  -22','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('MERCK','NASIVIN','spray','35',to_date('13-OKT.  -22','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('TEVA','BILOBIL','tabletta','50',to_date('13-OKT.  -23','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('SANOFI AVENTIS','ALGOPYRIN','tabletta','25',to_date('13-OKT.  -24','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('MERCK','NASIVIN','csepp','100',to_date('13-OKT.  -22','RR-MON-DD'));
Insert into SEMA1.RAKTAR (GYARTO,TIPUS,KISZERELES,KESZLET,DATUM) values ('ALCON','FLUCON','csepp','30',to_date('13-OKT.  -24','RR-MON-DD'));
--------------------------------------------------------
--  DDL for Index RAKTAR_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SEMA1"."RAKTAR_PK" ON "SEMA1"."RAKTAR" ("DATUM", "TIPUS", "KISZERELES") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159" ;
--------------------------------------------------------
--  Constraints for Table RAKTAR
--------------------------------------------------------

  ALTER TABLE "SEMA1"."RAKTAR" ADD CONSTRAINT "RAKTAR_PK" PRIMARY KEY ("DATUM", "TIPUS", "KISZERELES")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159"  ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table RAKTAR
--------------------------------------------------------

  ALTER TABLE "SEMA1"."RAKTAR" ADD CONSTRAINT "RAKTAR_FK1" FOREIGN KEY ("GYARTO", "TIPUS")
	  REFERENCES "SEMA1"."GYOGYSZER" ("GYARTO", "TIPUS") ON DELETE CASCADE ENABLE;
