--------------------------------------------------------
--  File created - szombat-december-07-2013   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table VASARLO
--------------------------------------------------------

  CREATE TABLE "SEMA1"."VASARLO" 
   (	"NEV" VARCHAR2(30 BYTE), 
	"TEL._SZAM" VARCHAR2(20 BYTE), 
	"CIM" VARCHAR2(50 BYTE), 
	"TORZSVASARLO" NUMBER(1,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159" ;
REM INSERTING into SEMA1.VASARLO
SET DEFINE OFF;
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Incze Lajos','20/123-4567','Hidas, Rkczi utca 13','1');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Incze Edit','30/123-4567','Hidas, Rkczi utca 13','0');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Konstanzer Gbor','30/765-4321','Bonyhd Perczel t 53','0');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Torma Viktor','20/765-4321','Abony, Petfi t 53','0');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Kovcs Istvn','70/765-4321','Budapest, Bercsnyi t 7','1');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Harczi Bence','31/123-4567','Csgle, Ady utca 17','0');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Kesztys Kitti','31/765-4321','Paks, Pusks Ferenc t 24','0');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Kvesdi Marcell','31/123-4568','Vc, Droid utca 17','0');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Farkas gnes','30/987-4321','Hashtag City, #Hashtag utca 4','1');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Ulow Bla','20/987-4321','Division 8, HTS utca 4','1');
Insert into SEMA1.VASARLO (NEV,"TEL._SZAM",CIM,TORZSVASARLO) values ('Bndzs Zsok','70/123-4567','Lowtier Medic City, Fndnc utca 00','0');
--------------------------------------------------------
--  DDL for Index VASARLO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SEMA1"."VASARLO_PK" ON "SEMA1"."VASARLO" ("NEV", "TEL._SZAM") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159" ;
--------------------------------------------------------
--  Constraints for Table VASARLO
--------------------------------------------------------

  ALTER TABLE "SEMA1"."VASARLO" ADD CONSTRAINT "VASARLO_CON" CHECK ("TORZSVASARLO"=0 OR "TORZSVASARLO"=1) ENABLE;
 
  ALTER TABLE "SEMA1"."VASARLO" ADD CONSTRAINT "VASARLO_PK" PRIMARY KEY ("NEV", "TEL._SZAM")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "APEX_2152429257060159"  ENABLE;
